com.icesoft.faces.component.outputchart

## Class OutputChart

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UICommand
      - - javax.faces.component.html.HtmlCommandButton
        - - com.icesoft.faces.component.ext.HtmlCommandButton
          - - com.icesoft.faces.component.outputchart.OutputChart

- All Implemented Interfaces:
    java.io.Serializable, java.util.EventListener, javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      public class OutputChart
      extends HtmlCommandButton
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.faces.component.html.HtmlCommandButton

      `javax.faces.component.html.HtmlCommandButton.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `AREA_CHART_TYPE`
    `static java.lang.String` | `AREA_STACKED_CHART_TYPE`
    `static java.lang.String` | `BAR_CHART_TYPE`
    `static java.lang.String` | `BAR_CLUSTERED_CHART_TYPE`
    `static java.lang.String` | `BAR_STACKED_CHART_TYPE`
    `static java.lang.String` | `CUSTOM_CHART_TYPE`
    `static java.lang.String` | `DEFAULT_CHART_TYPE`
    `static java.lang.String` | `LINE_CHART_TYPE`
    `static java.lang.String` | `PIE2D_CHART_TYPE`
    `static java.lang.String` | `PIE3D_CHART_TYPE`
    `static java.lang.String` | `POINT_CHART_TYPE`
    `static java.lang.String` | `SCATTER_PLOT_CHART_TYPE`
    `static java.lang.String` | `STOCK_CHART_TYPE`

    - ### Fields inherited from class com.icesoft.faces.component.ext.HtmlCommandButton

      `COMPONENT_TYPE, RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UICommand

      `COMPONENT_FAMILY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutputChart()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `decode(javax.faces.context.FacesContext context)`
    `java.lang.Boolean` | `evaluateRenderOnSubmit(javax.faces.context.FacesContext context)`
    `org.krysalis.jcharts.Chart` | `getChart()` Return the value of the `chart` property.
    `ChartResource` | `getChartResource()`
    `java.lang.String` | `getChartTitle()` Return the value of the `chartTitle` property.
    `java.net.URI` | `getChartURI()`
    `org.krysalis.jcharts.imageMap.ImageMapArea` | `getClickedImageMapArea()` Return the value of the `data` property.
    `java.lang.Object` | `getColors()` Return the value of the `colors` property.
    `java.lang.Object` | `getData()` Return the value of the `data` property.
    `java.lang.String` | `getHeight()` Return the value of the `height` property.
    `java.lang.Object` | `getLabels()` Return the value of the `labels` property.
    `java.lang.Object` | `getLegendColumns()` Return the value of the `legendColumns` property.
    `java.lang.Object` | `getLegendPlacement()` Return the value of the `legendLabel` property.
    `javax.faces.el.MethodBinding` | `getRenderOnSubmit()`
    `java.lang.Object` | `getShapes()` Return the value of the `shapes` property.
    `java.lang.String` | `getStyle()` Return the value of the `style` property.
    `java.lang.String` | `getStyleClass()` Return the value of the `styleClass` property.
    `java.lang.String` | `getType()` Return the value of the `type` property.
    `java.lang.String` | `getWidth()` Return the value of the `width` property.
    `java.lang.Object` | `getXaxisLabels()` Return the value of the `xaxisLabels` property.
    `java.lang.String` | `getXaxisTitle()` Return the value of the `xaxisTitle` property.
    `java.lang.String` | `getYaxisTitle()` Return the value of the `yaxisTitle` property.
    `protected boolean` | `hasActionListener()`
    `boolean` | `isClientSideImageMap()` Return a boolean flag which tells if the chart can have a clientSideImageMap or not.
    `boolean` | `isHorizontal()`
    `boolean` | `isRender()`
    `void` | `render()`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)` Perform any processing required to restore the state from the entries in the state Object.
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)` Gets the state of the instance as a `Serializable` Object.
    `void` | `setChart(org.krysalis.jcharts.Chart chart)` Set the value of the `chart` property.
    `void` | `setChartResource(ChartResource chartResource)`
    `void` | `setChartTitle(java.lang.String chartTitle)` Set the value of the `chartTitle` property.
    `void` | `setChartURI(java.net.URI chartURI)`
    `void` | `setClickedImageMapArea(org.krysalis.jcharts.imageMap.ImageMapArea clickedImageMapArea)`
    `void` | `setColors(java.lang.Object colors)` Set the value of the `colors` property.
    `void` | `setData(java.lang.Object data)` Set the value of the `data` property.
    `void` | `setHeight(java.lang.String height)` Set the value of the `height` property.
    `void` | `setHorizontal(boolean horizontal)`
    `void` | `setLabels(java.lang.Object labels)` Set the value of the `labels` property.
    `void` | `setLegendColumns(java.lang.Object legendColumns)` Set the value of the `legendColumns` property.
    `void` | `setLegendPlacement(java.lang.Object legendPlacement)` Set the value of the `legendPlacement` property.
    `void` | `setRenderOnSubmit(javax.faces.el.MethodBinding renderOnSubmit)`
    `void` | `setShapes(java.lang.Object shapes)` Set the value of the `shapes` property.
    `void` | `setStyle(java.lang.String style)` Set the value of the `style` property.
    `void` | `setStyleClass(java.lang.String styleClass)` Set the value of the `styleClass` property.
    `void` | `setType(java.lang.String type)` Set the value of the `type` property.
    `void` | `setWidth(java.lang.String width)` Set the value of the `width` property.
    `void` | `setXaxisLabels(java.lang.Object xaxisLabels)` Set the value of the `xaxisLabels` property.
    `void` | `setXaxisTitle(java.lang.String xaxisTitle)` Set the value of the `xaxisTitle` property.
    `void` | `setYaxisTitle(java.lang.String yaxisTitle)` Set the value of the `yaxisTitle` property.

    - ### Methods inherited from class com.icesoft.faces.component.ext.HtmlCommandButton

      `getCurrentStyle, getEffect, getEnabledOnUserRole, getOnclickeffect, getOndblclickeffect, getOnkeydowneffect, getOnkeypresseffect, getOnkeyupeffect, getOnmousedowneffect, getOnmousemoveeffect, getOnmouseouteffect, getOnmouseovereffect, getOnmouseupeffect, getPanelConfirmation, getPartialSubmit, getRenderedOnUserRole, getVisible, isDisabled, isRendered, isVisible, requestFocus, setCurrentStyle, setDisabled, setEffect, setEnabledOnUserRole, setOnclickeffect, setOndblclickeffect, setOnkeydowneffect, setOnkeypresseffect, setOnkeyupeffect, setOnmousedowneffect, setOnmousemoveeffect, setOnmouseouteffect, setOnmouseovereffect, setOnmouseupeffect, setPanelConfirmation, setPartialSubmit, setRenderedOnUserRole, setValueBinding, setVisible`

    - ### Methods inherited from class javax.faces.component.html.HtmlCommandButton

      `getAccesskey, getAlt, getDefaultEventName, getDir, getEventNames, getImage, getLabel, getLang, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getOnselect, getTabindex, getTitle, isReadonly, setAccesskey, setAlt, setDir, setImage, setLabel, setLang, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setReadonly, setTabindex, setTitle`

    - ### Methods inherited from class javax.faces.component.UICommand

      `addActionListener, broadcast, getAction, getActionExpression, getActionListener, getActionListeners, getFamily, getValue, isImmediate, queueEvent, removeActionListener, setAction, setActionExpression, setActionListener, setImmediate, setValue`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, clearInitialState, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

- - ### Field Detail

    - #### SCATTER_PLOT_CHART_TYPE

          public static final java.lang.String SCATTER_PLOT_CHART_TYPE

      See Also:
        Constant Field Values

    - #### AREA_CHART_TYPE

          public static java.lang.String AREA_CHART_TYPE

    - #### AREA_STACKED_CHART_TYPE

          public static java.lang.String AREA_STACKED_CHART_TYPE

    - #### BAR_CHART_TYPE

          public static java.lang.String BAR_CHART_TYPE

    - #### BAR_CLUSTERED_CHART_TYPE

          public static java.lang.String BAR_CLUSTERED_CHART_TYPE

    - #### BAR_STACKED_CHART_TYPE

          public static java.lang.String BAR_STACKED_CHART_TYPE

    - #### LINE_CHART_TYPE

          public static java.lang.String LINE_CHART_TYPE

    - #### PIE2D_CHART_TYPE

          public static java.lang.String PIE2D_CHART_TYPE

    - #### PIE3D_CHART_TYPE

          public static java.lang.String PIE3D_CHART_TYPE

    - #### POINT_CHART_TYPE

          public static java.lang.String POINT_CHART_TYPE

    - #### STOCK_CHART_TYPE

          public static java.lang.String STOCK_CHART_TYPE

    - #### CUSTOM_CHART_TYPE

          public static java.lang.String CUSTOM_CHART_TYPE

    - #### DEFAULT_CHART_TYPE

          public static java.lang.String DEFAULT_CHART_TYPE

  - ### Constructor Detail

    - #### OutputChart

          public OutputChart()

  - ### Method Detail

    - #### getLabels

          public java.lang.Object getLabels()

      Return the value of the `labels` property.

    - #### setLabels

          public void setLabels(java.lang.Object labels)

      Set the value of the `labels` property.

    - #### isClientSideImageMap

          public boolean isClientSideImageMap()

      Return a boolean flag which tells if the chart can have a clientSideImageMap or not.

    - #### hasActionListener

          protected boolean hasActionListener()

    - #### getData

          public java.lang.Object getData()

      Return the value of the `data` property.

    - #### setData

          public void setData(java.lang.Object data)

      Set the value of the `data` property.

    - #### getColors

          public java.lang.Object getColors()

      Return the value of the `colors` property.

    - #### setColors

          public void setColors(java.lang.Object colors)

      Set the value of the `colors` property.

    - #### getShapes

          public java.lang.Object getShapes()

      Return the value of the `shapes` property.

    - #### setShapes

          public void setShapes(java.lang.Object shapes)

      Set the value of the `shapes` property.

    - #### getXaxisTitle

          public java.lang.String getXaxisTitle()

      Return the value of the `xaxisTitle` property.

    - #### setXaxisTitle

          public void setXaxisTitle(java.lang.String xaxisTitle)

      Set the value of the `xaxisTitle` property.

    - #### getYaxisTitle

          public java.lang.String getYaxisTitle()

      Return the value of the `yaxisTitle` property.

    - #### setYaxisTitle

          public void setYaxisTitle(java.lang.String yaxisTitle)

      Set the value of the `yaxisTitle` property.

    - #### getXaxisLabels

          public java.lang.Object getXaxisLabels()

      Return the value of the `xaxisLabels` property.

    - #### setXaxisLabels

          public void setXaxisLabels(java.lang.Object xaxisLabels)

      Set the value of the `xaxisLabels` property.

    - #### getChartTitle

          public java.lang.String getChartTitle()

      Return the value of the `chartTitle` property.

    - #### setChartTitle

          public void setChartTitle(java.lang.String chartTitle)

      Set the value of the `chartTitle` property.

    - #### getWidth

          public java.lang.String getWidth()

      Return the value of the `width` property.

    - #### setWidth

          public void setWidth(java.lang.String width)

      Set the value of the `width` property.

    - #### getHeight

          public java.lang.String getHeight()

      Return the value of the `height` property.

    - #### setHeight

          public void setHeight(java.lang.String height)

      Set the value of the `height` property.

    - #### setRenderOnSubmit

          public void setRenderOnSubmit(javax.faces.el.MethodBinding renderOnSubmit)

    - #### getRenderOnSubmit

          public javax.faces.el.MethodBinding getRenderOnSubmit()

    - #### evaluateRenderOnSubmit

          public java.lang.Boolean evaluateRenderOnSubmit(javax.faces.context.FacesContext context)

    - #### decode

          public void decode(javax.faces.context.FacesContext context)

      Overrides:
        `decode` in class `javax.faces.component.UIComponentBase`

    - #### getChart

          public org.krysalis.jcharts.Chart getChart()

      Return the value of the `chart` property.

    - #### setChart

          public void setChart(org.krysalis.jcharts.Chart chart)

      Set the value of the `chart` property.

    - #### render

          public void render()

    - #### isRender

          public boolean isRender()

    - #### setType

          public void setType(java.lang.String type)

      Set the value of the `type` property.

      Overrides:
        `setType` in class `javax.faces.component.html.HtmlCommandButton`

    - #### getType

          public java.lang.String getType()

      Return the value of the `type` property.

      Overrides:
        `getType` in class `javax.faces.component.html.HtmlCommandButton`

    - #### getClickedImageMapArea

          public org.krysalis.jcharts.imageMap.ImageMapArea getClickedImageMapArea()

      Return the value of the `data` property.

    - #### setClickedImageMapArea

          public void setClickedImageMapArea(org.krysalis.jcharts.imageMap.ImageMapArea clickedImageMapArea)

    - #### setStyleClass

          public void setStyleClass(java.lang.String styleClass)

      Set the value of the `styleClass` property.

      Overrides:
        `setStyleClass` in class `HtmlCommandButton`

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Return the value of the `styleClass` property.

      Overrides:
        `getStyleClass` in class `HtmlCommandButton`
      Returns:
        String styleClass

    - #### setStyle

          public void setStyle(java.lang.String style)

      Set the value of the `style` property.

      Overrides:
        `setStyle` in class `javax.faces.component.html.HtmlCommandButton`

    - #### getStyle

          public java.lang.String getStyle()

      Return the value of the `style` property.

      Overrides:
        `getStyle` in class `javax.faces.component.html.HtmlCommandButton`

    - #### getLegendPlacement

          public java.lang.Object getLegendPlacement()

      Return the value of the `legendLabel` property.

    - #### setLegendPlacement

          public void setLegendPlacement(java.lang.Object legendPlacement)

      Set the value of the `legendPlacement` property.

    - #### getLegendColumns

          public java.lang.Object getLegendColumns()

      Return the value of the `legendColumns` property.

    - #### setLegendColumns

          public void setLegendColumns(java.lang.Object legendColumns)

      Set the value of the `legendColumns` property.

    - #### isHorizontal

          public boolean isHorizontal()

    - #### setHorizontal

          public void setHorizontal(boolean horizontal)

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Gets the state of the instance as a `Serializable` Object.

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `HtmlCommandButton`
      Returns:
        Object values[]

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                                   java.lang.Object state)

      Perform any processing required to restore the state from the entries in the state Object.

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `HtmlCommandButton`

    - #### getChartResource

          public ChartResource getChartResource()

    - #### setChartResource

          public void setChartResource(ChartResource chartResource)

    - #### getChartURI

          public java.net.URI getChartURI()

    - #### setChartURI

          public void setChartURI(java.net.URI chartURI)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.